import { Route } from '@angular/router';
import { ListAllMemberResolver } from 'app/shared/resolvers/member.resolver';

import { ListComponent } from './components/list.component';

import {
  CasinosResolver,
  ListCasinosResolver,
} from './resolvers/casino.resolver';

export const casinoRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      listBettingHistory: ListCasinosResolver,
      listMember: ListAllMemberResolver,
    },
  },
];
